/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-04-09 19:13:20 UTC)
 * on 2013-04-10 at 01:48:33 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.urlshortener.model;

/**
 * Model definition for AnalyticsSummary.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the URL Shortener API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AnalyticsSummary extends com.google.api.client.json.GenericJson {

  /**
   * Click analytics over all time.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AnalyticsSnapshot allTime;

  /**
   * Click analytics over the last day.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AnalyticsSnapshot day;

  /**
   * Click analytics over the last month.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AnalyticsSnapshot month;

  /**
   * Click analytics over the last two hours.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AnalyticsSnapshot twoHours;

  /**
   * Click analytics over the last week.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AnalyticsSnapshot week;

  /**
   * Click analytics over all time.
   * @return value or {@code null} for none
   */
  public AnalyticsSnapshot getAllTime() {
    return allTime;
  }

  /**
   * Click analytics over all time.
   * @param allTime allTime or {@code null} for none
   */
  public AnalyticsSummary setAllTime(AnalyticsSnapshot allTime) {
    this.allTime = allTime;
    return this;
  }

  /**
   * Click analytics over the last day.
   * @return value or {@code null} for none
   */
  public AnalyticsSnapshot getDay() {
    return day;
  }

  /**
   * Click analytics over the last day.
   * @param day day or {@code null} for none
   */
  public AnalyticsSummary setDay(AnalyticsSnapshot day) {
    this.day = day;
    return this;
  }

  /**
   * Click analytics over the last month.
   * @return value or {@code null} for none
   */
  public AnalyticsSnapshot getMonth() {
    return month;
  }

  /**
   * Click analytics over the last month.
   * @param month month or {@code null} for none
   */
  public AnalyticsSummary setMonth(AnalyticsSnapshot month) {
    this.month = month;
    return this;
  }

  /**
   * Click analytics over the last two hours.
   * @return value or {@code null} for none
   */
  public AnalyticsSnapshot getTwoHours() {
    return twoHours;
  }

  /**
   * Click analytics over the last two hours.
   * @param twoHours twoHours or {@code null} for none
   */
  public AnalyticsSummary setTwoHours(AnalyticsSnapshot twoHours) {
    this.twoHours = twoHours;
    return this;
  }

  /**
   * Click analytics over the last week.
   * @return value or {@code null} for none
   */
  public AnalyticsSnapshot getWeek() {
    return week;
  }

  /**
   * Click analytics over the last week.
   * @param week week or {@code null} for none
   */
  public AnalyticsSummary setWeek(AnalyticsSnapshot week) {
    this.week = week;
    return this;
  }

  @Override
  public AnalyticsSummary set(String fieldName, Object value) {
    return (AnalyticsSummary) super.set(fieldName, value);
  }

  @Override
  public AnalyticsSummary clone() {
    return (AnalyticsSummary) super.clone();
  }

}
